Bug 1282952 - [abrt] python-behave: cache_process_children_changed(): python2.7 killed by SIGSEGV
[abrt] python-behave: cache_process_children_changed(): python2.7 killed by S...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: at-spi2-core (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Vladimir Benes
https://retrace.fedoraproject.org/faf...
abrt_hash:a6b09b2c0da85a3e53b2b132583...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 16:46 EST by Vladimir Benes
Modified: 2016-12-20 11:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:01:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (122.48 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: core_backtrace (15.29 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: dso_list (18.59 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: environ (3.26 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: maps (81.79 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: open_fds (1.63 KB, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-11-17 16:46 EST, Vladimir Benes
no flags Details
backtrace (47.74 KB, text/plain)
2015-11-18 04:38 EST, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2015-11-17 16:46:18 EST
Description of problem:
running gnome-boxes test from upstream:
delete_local_livecd_box
from:
https://github.com/GNOME/gnome-boxes/blob/master/tests/livecd.feature

it's crashing in:
    Then Box "Core-5" "does not" exist      # steps/general.py:18

> /home/test/gnome-boxes/tests/steps/general.py(25)does_box_exists()
(Pdb) s
--Call--
> /usr/lib/python2.7/site-packages/behave/runner.py(206)__getattr__()
-> def __getattr__(self, attr):
(Pdb) s
> /usr/lib/python2.7/site-packages/behave/runner.py(207)__getattr__()
-> if attr[0] == '_':
(Pdb) s
> /usr/lib/python2.7/site-packages/behave/runner.py(209)__getattr__()
-> for frame in self._stack:
(Pdb) s
> /usr/lib/python2.7/site-packages/behave/runner.py(210)__getattr__()
-> if attr in frame:
(Pdb) s
> /usr/lib/python2.7/site-packages/behave/runner.py(211)__getattr__()
-> return frame[attr]
(Pdb) s
--Return--
> /usr/lib/python2.7/site-packages/behave/runner.py(211)__getattr__()-><Accessi...877feb0)>
-> return frame[attr]
(Pdb) s
--Call--
> /usr/lib/python2.7/site-packages/pyatspi/Accessibility.py(48)Accessible_str()
-> def Accessible_str(self):
(Pdb) s
> /usr/lib/python2.7/site-packages/pyatspi/Accessibility.py(55)Accessible_str()
-> try:
(Pdb) s
> /usr/lib/python2.7/site-packages/pyatspi/Accessibility.py(56)Accessible_str()
-> return '[%s | %s]' % (self.getRoleName(), self.name)
(Pdb) s
Segmentation fault (core dumped)

It's 100% reproducible

Version-Release number of selected component:
python-behave-1.2.5-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/python2 /usr/bin/behave -kt @delete_five_local_livecd_boxes
crash_function: cache_process_children_changed
executable:     /usr/bin/python2.7
global_pid:     8280
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cache_process_children_changed at atspi-event-listener.c:231
 #1 _atspi_dbus_handle_event at atspi-event-listener.c:1054
 #2 process_deferred_message at atspi-misc.c:731
 #3 process_deferred_messages at atspi-misc.c:765
 #5 _atspi_dbus_get_property at atspi-misc.c:1233
 #6 atspi_accessible_get_child_count at atspi-accessible.c:321
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 pygi_invoke_c_callable at pygi-invoke.c:645
 #10 pygi_function_cache_invoke at pygi-cache.c:820
Comment 1 Vladimir Benes 2015-11-17 16:46:23 EST
Created attachment 1095687 [details]
File: backtrace
Comment 2 Vladimir Benes 2015-11-17 16:46:25 EST
Created attachment 1095688 [details]
File: cgroup
Comment 3 Vladimir Benes 2015-11-17 16:46:26 EST
Created attachment 1095689 [details]
File: core_backtrace
Comment 4 Vladimir Benes 2015-11-17 16:46:28 EST
Created attachment 1095690 [details]
File: dso_list
Comment 5 Vladimir Benes 2015-11-17 16:46:30 EST
Created attachment 1095691 [details]
File: environ
Comment 6 Vladimir Benes 2015-11-17 16:46:31 EST
Created attachment 1095692 [details]
File: exploitable
Comment 7 Vladimir Benes 2015-11-17 16:46:32 EST
Created attachment 1095693 [details]
File: limits
Comment 8 Vladimir Benes 2015-11-17 16:46:35 EST
Created attachment 1095694 [details]
File: maps
Comment 9 Vladimir Benes 2015-11-17 16:46:36 EST
Created attachment 1095695 [details]
File: mountinfo
Comment 10 Vladimir Benes 2015-11-17 16:46:37 EST
Created attachment 1095696 [details]
File: namespaces
Comment 11 Vladimir Benes 2015-11-17 16:46:39 EST
Created attachment 1095697 [details]
File: open_fds
Comment 12 Vladimir Benes 2015-11-17 16:46:40 EST
Created attachment 1095698 [details]
File: proc_pid_status
Comment 13 Vladimir Benes 2015-11-18 04:36:51 EST
it looks like the bug is in at-spi2
Comment 14 Vladimir Benes 2015-11-18 04:38 EST
Created attachment 1095915 [details]
backtrace
Comment 15 Fedora End Of Life 2016-11-24 08:31:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 11:01:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.